!classDefinition: #Example category: #LayoutProblem!
SystemWindow subclass: #Example
	instanceVariableNames: 'text1 lm3'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'LayoutProblem'!
!Example commentStamp: '<historical>' prior: 0!
Trying to center a string in a BorderedRectMorph.

Example start openInHand.!


!Example methodsFor: 'as yet unclassified' stamp: 'dhn 4/30/2020 16:39:45'!
buildMorphicWindow
	| bm lm2 |

	bm _ BorderedRectMorph new
		borderWidth: 1;
		layoutSpec: (LayoutSpec useAll);
		color: Color transparent;
		name: #season.
	
	text1 _ StringMorph contents: 'foo'.
	text1 layoutSpec: (LayoutSpec keepMorphExtent
			minorDirectionPadding: #center).
	lm2 _ LayoutMorph newRow
		layoutSpec: (LayoutSpec proportionalWidth: 0.8 proportionalHeight: 0.2).
	lm2 
		color: Color lightBlue;
		padding: #center.
	layoutMorph 
		color: Color white;
		addMorph: lm2.
	lm2 addMorph: bm.
	lm3 _ LayoutMorph newRow
		color: Color lightGreen;
		padding: #left;
		layoutSpec: (LayoutSpec proportionalWidth: 0.8 proportionalHeight: 0.2).
	bm addMorph: lm3.
	lm3 addMorph: text1.
	text1 contents: 'Umbug'
! !

!Example methodsFor: 'as yet unclassified' stamp: 'dhn 4/27/2020 17:44:42'!
initialize

	super initialize! !


!Example methodsFor: 'accessing' stamp: 'dhn 4/30/2020 16:31:18'!
lm3
	"Answer the value of lm3"

	^ lm3! !

!Example methodsFor: 'accessing' stamp: 'dhn 4/30/2020 16:31:18'!
lm3: anObject
	"Set the value of lm3"

	lm3 _ anObject! !

!Example methodsFor: 'accessing' stamp: 'dhn 4/30/2020 16:31:18'!
text1
	"Answer the value of text1"

	^ text1! !

!Example methodsFor: 'accessing' stamp: 'dhn 4/30/2020 16:31:18'!
text1: anObject
	"Set the value of text1"

	text1 _ anObject! !

"-- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- "!

!classDefinition: 'Example class' category: #LayoutProblem!
Example class
	instanceVariableNames: ''!

!Example class methodsFor: 'as yet unclassified' stamp: 'dhn 4/29/2020 21:10:46'!
start
	| win |
	
	win _ self new.
	win 
		buildMorphicWindow;
		setLabel: 'Problem 1'.
	
	^ win
! !
